Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface WhileLoopTree

All Superinterfaces:
  ConditionalLoopTree, LoopTree, StatementTree, Tree

    public interface WhileLoopTree
    extends ConditionalLoopTree

A tree node for a 'while' loop statement. For example:

       while ( condition )
         statement

Since:
  9

### Nested Class Summary

### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`ExpressionTree` `getCondition()` The condition expression of this 'while' statement.
`StatementTree` `getStatement()` The statement contained in this 'while' statement.

### Methods inherited from interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

### Method Detail

#### getCondition

    ExpressionTree getCondition()

The condition expression of this 'while' statement.

Specified by:
  `getCondition` in interface `ConditionalLoopTree`
Returns:
  the condition expression

#### getStatement

    StatementTree getStatement()

The statement contained in this 'while' statement.

Specified by:
  `getStatement` in interface `LoopTree`
Returns:
  the statement contained